Package org.apache.tomcat.dbcp.dbcp2

# Interface ConnectionFactory

All Known Implementing Classes:
  `DataSourceConnectionFactory`, `DriverConnectionFactory`, `DriverManagerConnectionFactory`

public interface ConnectionFactory
Abstract factory interface for creating `Connection`s.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Connection`
`createConnection()`
Create a new `Connection` in an implementation specific fashion.

## Method Details

### createConnection

Connection createConnection() throws SQLException
Create a new `Connection` in an implementation specific fashion.

Returns:
  a new `Connection`
Throws:
  `SQLException` - if a database error occurs creating the connection